- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions

# QAbstractFontEngine Class Reference

Search for all occurrences

## Detailed Description

Definition at line 127 of file qabstractfontengine_qws.h.

`#include <qabstractfontengine_qws.h>`

Inheritance diagram for QAbstractFontEngine:
[legend]

List of all members.

## Classes
struct | FixedPoint
struct | GlyphMetrics
## Public Types
enum | Capability { CanOutlineGlyphs = 1, CanRenderGlyphs_Mono = 2, CanRenderGlyphs_Gray = 4, CanRenderGlyphs = CanRenderGlyphs_Mono | CanRenderGlyphs_Gray }
enum | FontProperty { Ascent, Descent, Leading, XHeight, AverageCharWidth, LineThickness, UnderlinePosition, MaxCharWidth, MinLeftBearing, MinRightBearing, GlyphCount, CacheGlyphsHint, OutlineGlyphsHint }
enum | TextShapingFlag { RightToLeft = 0x0001, ReturnDesignMetrics = 0x0002 }
typedef int | Fixed
## Public Member Functions
| QAbstractFontEngine (QObject *parent=0)
| ~QAbstractFontEngine ()
virtual Capabilities | capabilities () const =0
virtual QVariant | fontProperty (FontProperty property) const =0
virtual bool | convertStringToGlyphIndices (const QChar *string, int length, uint *glyphs, int *numGlyphs, TextShapingFlags flags) const =0
virtual void | getGlyphAdvances (const uint *glyphs, int numGlyphs, Fixed *advances, TextShapingFlags flags) const =0
virtual GlyphMetrics | glyphMetrics (uint glyph) const =0
virtual bool | renderGlyph (uint glyph, int depth, int bytesPerLine, int height, uchar *buffer)
virtual void | addGlyphOutlinesToPath (uint *glyphs, int numGlyphs, FixedPoint *positions, QPainterPath *path)

## Member Typedef Documentation

typedef int Fixed

Search for all occurrences

Definition at line 142 of file qabstractfontengine_qws.h.

## Member Enumeration Documentation

enum Capability

Search for all occurrences

Enumerator:

  CanOutlineGlyphs | Search for all occurrences
  CanRenderGlyphs_Mono | Search for all occurrences
  CanRenderGlyphs_Gray | Search for all occurrences
  CanRenderGlyphs | Search for all occurrences

Definition at line 131 of file qabstractfontengine_qws.h.

                        {
            CanOutlineGlyphs = 1,
            CanRenderGlyphs_Mono = 2,
            CanRenderGlyphs_Gray = 4,
            CanRenderGlyphs = CanRenderGlyphs_Mono | CanRenderGlyphs_Gray
        };

enum FontProperty

Search for all occurrences

Enumerator:

  Ascent | Search for all occurrences
  Descent | Search for all occurrences
  Leading | Search for all occurrences
  XHeight | Search for all occurrences
  AverageCharWidth | Search for all occurrences
  LineThickness | Search for all occurrences
  UnderlinePosition | Search for all occurrences
  MaxCharWidth | Search for all occurrences
  MinLeftBearing | Search for all occurrences
  MinRightBearing | Search for all occurrences
  GlyphCount | Search for all occurrences
  CacheGlyphsHint | Search for all occurrences
  OutlineGlyphsHint | Search for all occurrences

Definition at line 162 of file qabstractfontengine_qws.h.

                          {
            Ascent,
            Descent,
            Leading,
            XHeight,
            AverageCharWidth,
            LineThickness,
            UnderlinePosition,
            MaxCharWidth,
            MinLeftBearing,
            MinRightBearing,
            GlyphCount,

            // hints
            CacheGlyphsHint,
            OutlineGlyphsHint
        };

enum TextShapingFlag

Search for all occurrences

Enumerator:

  RightToLeft | Search for all occurrences
  ReturnDesignMetrics | Search for all occurrences

Definition at line 181 of file qabstractfontengine_qws.h.

                             {
            RightToLeft         = 0x0001,
            ReturnDesignMetrics = 0x0002
        };

## Constructor & Destructor Documentation

QAbstractFontEngine | ( | QObject * | parent = `0` | ) | `[explicit]`

~QAbstractFontEngine | ( |  | ) |

## Member Function Documentation

virtual Capabilities capabilities | ( |  | ) | const `[pure virtual]`

Search for all occurrences

virtual QVariant fontProperty | ( | FontProperty | property | ) | const `[pure virtual]`

Search for all occurrences

virtual bool convertStringToGlyphIndices | ( | const QChar * | string,
|  | int | length,
|  | uint * | glyphs,
|  | int * | numGlyphs,
|  | TextShapingFlags | flags
| ) |  | const `[pure virtual]`

Search for all occurrences

virtual void getGlyphAdvances | ( | const uint * | glyphs,
|  | int | numGlyphs,
|  | Fixed * | advances,
|  | TextShapingFlags | flags
| ) |  | const `[pure virtual]`

Search for all occurrences

virtual GlyphMetrics glyphMetrics | ( | uint | glyph | ) | const `[pure virtual]`

Search for all occurrences

virtual bool renderGlyph | ( | uint | glyph,
|  | int | depth,
|  | int | bytesPerLine,
|  | int | height,
|  | uchar * | buffer
| ) |  | `[virtual]`

Search for all occurrences

virtual void addGlyphOutlinesToPath | ( | uint * | glyphs,
|  | int | numGlyphs,
|  | FixedPoint * | positions,
|  | QPainterPath * | path
| ) |  | `[virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qabstractfontengine_qws.h

QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine
QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine QAbstractFontEngine